<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMEQLocationEditViewBase from './emeqlocation-edit-view-base.vue';

import view_form from '@widgets/emeqlocation/main3-form/main3-form.vue';

/**
 * 位置
 *
 * @export
 * @class EMEQLocationEditView
 * @extends {EMEQLocationEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMEQLocationEditView extends EMEQLocationEditViewBase { }
</script>